Appearance
Research Goals API
All URIs are relative to https://api.syntheticusers.com/api/v1
| Method | HTTP request | Description |
|---|---|---|
| create_research_goals | POST /researchGoals | Create Research Goals |
| delete_research_goal | DELETE /researchGoals/ | Delete Research Goal |
| edit_research_goals | PATCH /researchGoals/ | Edit Research Goals |
| get_research_goal | GET /researchGoals/ | Get Research Goal |
| list_research_goals | GET /researchGoals | List Research Goals |
create_research_goals
ResearchGoal create_research_goals(research_goal_create)
Create Research Goals
Example
- Bearer Authentication (HTTPBearer):
python
import syntheticusers
from syntheticusers.models.research_goal import ResearchGoal
from syntheticusers.models.research_goal_create import ResearchGoalCreate
from syntheticusers.rest import ApiException
from pprint import pprint
# Defining the host is optional and defaults to https://api.syntheticusers.com/api/v1
# See configuration.py for a list of all supported configuration parameters.
configuration = syntheticusers.Configuration(
host = "https://api.syntheticusers.com/api/v1"
)
# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.
# Configure Bearer authorization: HTTPBearer
configuration = syntheticusers.Configuration(
access_token = os.environ["BEARER_TOKEN"]
)
# Enter a context with an instance of the API client
with syntheticusers.ApiClient(configuration) as api_client:
# Create an instance of the API class
api_instance = syntheticusers.ResearchGoalsApi(api_client)
research_goal_create = syntheticusers.ResearchGoalCreate() # ResearchGoalCreate |
try:
# Create Research Goals
api_response = api_instance.create_research_goals(research_goal_create)
print("The response of ResearchGoalsApi->create_research_goals:\n")
pprint(api_response)
except Exception as e:
print("Exception when calling ResearchGoalsApi->create_research_goals: %s\n" % e)Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| research_goal_create | ResearchGoalCreate |
Return type
Authorization
HTTP request headers
- Content-Type: application/json
- Accept: application/json
HTTP response details
| Status code | Description | Response headers |
|---|---|---|
| 200 | Successful Response | - |
| 422 | Validation Error | - |
[Back to top] [Back to API list] [Back to SDK]
delete_research_goal
object delete_research_goal(research_goal_id)
Delete Research Goal
Example
- Bearer Authentication (HTTPBearer):
python
import syntheticusers
from syntheticusers.rest import ApiException
from pprint import pprint
# Defining the host is optional and defaults to https://api.syntheticusers.com/api/v1
# See configuration.py for a list of all supported configuration parameters.
configuration = syntheticusers.Configuration(
host = "https://api.syntheticusers.com/api/v1"
)
# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.
# Configure Bearer authorization: HTTPBearer
configuration = syntheticusers.Configuration(
access_token = os.environ["BEARER_TOKEN"]
)
# Enter a context with an instance of the API client
with syntheticusers.ApiClient(configuration) as api_client:
# Create an instance of the API class
api_instance = syntheticusers.ResearchGoalsApi(api_client)
research_goal_id = 'research_goal_id_example' # str |
try:
# Delete Research Goal
api_response = api_instance.delete_research_goal(research_goal_id)
print("The response of ResearchGoalsApi->delete_research_goal:\n")
pprint(api_response)
except Exception as e:
print("Exception when calling ResearchGoalsApi->delete_research_goal: %s\n" % e)Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| research_goal_id | str |
Return type
object
Authorization
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
HTTP response details
| Status code | Description | Response headers |
|---|---|---|
| 200 | Successful Response | - |
| 422 | Validation Error | - |
[Back to top] [Back to API list] [Back to SDK]
edit_research_goals
ResearchGoal edit_research_goals(research_goal_id, research_goal_update)
Edit Research Goals
Example
- Bearer Authentication (HTTPBearer):
python
import syntheticusers
from syntheticusers.models.research_goal import ResearchGoal
from syntheticusers.models.research_goal_update import ResearchGoalUpdate
from syntheticusers.rest import ApiException
from pprint import pprint
# Defining the host is optional and defaults to https://api.syntheticusers.com/api/v1
# See configuration.py for a list of all supported configuration parameters.
configuration = syntheticusers.Configuration(
host = "https://api.syntheticusers.com/api/v1"
)
# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.
# Configure Bearer authorization: HTTPBearer
configuration = syntheticusers.Configuration(
access_token = os.environ["BEARER_TOKEN"]
)
# Enter a context with an instance of the API client
with syntheticusers.ApiClient(configuration) as api_client:
# Create an instance of the API class
api_instance = syntheticusers.ResearchGoalsApi(api_client)
research_goal_id = 'research_goal_id_example' # str |
research_goal_update = syntheticusers.ResearchGoalUpdate() # ResearchGoalUpdate |
try:
# Edit Research Goals
api_response = api_instance.edit_research_goals(research_goal_id, research_goal_update)
print("The response of ResearchGoalsApi->edit_research_goals:\n")
pprint(api_response)
except Exception as e:
print("Exception when calling ResearchGoalsApi->edit_research_goals: %s\n" % e)Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| research_goal_id | str | ||
| research_goal_update | ResearchGoalUpdate |
Return type
Authorization
HTTP request headers
- Content-Type: application/json
- Accept: application/json
HTTP response details
| Status code | Description | Response headers |
|---|---|---|
| 200 | Successful Response | - |
| 422 | Validation Error | - |
[Back to top] [Back to API list] [Back to SDK]
get_research_goal
ResearchGoal get_research_goal(research_goal_id)
Get Research Goal
Example
- Bearer Authentication (HTTPBearer):
python
import syntheticusers
from syntheticusers.models.research_goal import ResearchGoal
from syntheticusers.rest import ApiException
from pprint import pprint
# Defining the host is optional and defaults to https://api.syntheticusers.com/api/v1
# See configuration.py for a list of all supported configuration parameters.
configuration = syntheticusers.Configuration(
host = "https://api.syntheticusers.com/api/v1"
)
# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.
# Configure Bearer authorization: HTTPBearer
configuration = syntheticusers.Configuration(
access_token = os.environ["BEARER_TOKEN"]
)
# Enter a context with an instance of the API client
with syntheticusers.ApiClient(configuration) as api_client:
# Create an instance of the API class
api_instance = syntheticusers.ResearchGoalsApi(api_client)
research_goal_id = 'research_goal_id_example' # str |
try:
# Get Research Goal
api_response = api_instance.get_research_goal(research_goal_id)
print("The response of ResearchGoalsApi->get_research_goal:\n")
pprint(api_response)
except Exception as e:
print("Exception when calling ResearchGoalsApi->get_research_goal: %s\n" % e)Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| research_goal_id | str |
Return type
Authorization
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
HTTP response details
| Status code | Description | Response headers |
|---|---|---|
| 200 | Successful Response | - |
| 422 | Validation Error | - |
[Back to top] [Back to API list] [Back to SDK]
list_research_goals
PageResearchGoal list_research_goals(page=page, size=size)
List Research Goals
Example
- Bearer Authentication (HTTPBearer):
python
import syntheticusers
from syntheticusers.models.page_research_goal import PageResearchGoal
from syntheticusers.rest import ApiException
from pprint import pprint
# Defining the host is optional and defaults to https://api.syntheticusers.com/api/v1
# See configuration.py for a list of all supported configuration parameters.
configuration = syntheticusers.Configuration(
host = "https://api.syntheticusers.com/api/v1"
)
# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.
# Configure Bearer authorization: HTTPBearer
configuration = syntheticusers.Configuration(
access_token = os.environ["BEARER_TOKEN"]
)
# Enter a context with an instance of the API client
with syntheticusers.ApiClient(configuration) as api_client:
# Create an instance of the API class
api_instance = syntheticusers.ResearchGoalsApi(api_client)
page = 1 # int | Page number (optional) (default to 1)
size = 50 # int | Page size (optional) (default to 50)
try:
# List Research Goals
api_response = api_instance.list_research_goals(page=page, size=size)
print("The response of ResearchGoalsApi->list_research_goals:\n")
pprint(api_response)
except Exception as e:
print("Exception when calling ResearchGoalsApi->list_research_goals: %s\n" % e)Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| page | int | Page number | [optional] [default to 1] |
| size | int | Page size | [optional] [default to 50] |
Return type
Authorization
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
HTTP response details
| Status code | Description | Response headers |
|---|---|---|
| 200 | Successful Response | - |
| 422 | Validation Error | - |